#!/usr/bin/python3
import cmath
import math

def inpoint(prompt:str) -> complex:
    while(True):
        try:
            s = input(prompt) 
        except KeyboardInterrupt:       # ^C - завершение работы
            print('\rзавершение работы')
            quit()
        if s == '':                     # Enter - завершение многоугольника
            return None
        try:
            (x, y) = s.split()
            p = complex(float(x), float(y))
        except ValueError:
            print('ошибка ввода!')
            continue
        return p

class polygon:
    """класс многоугольника"""
    def __init__(self, parm):
        if isinstance(parm, list):
            self.pts = parm
        else:
            self.pts = []
    def printt(self):
        msg = 'вершин {} :'.format(len(self.pts))
        for x in self.pts:
            msg += ' [{:.2f},{:.2f}]'.format(x.real, x.imag)
        print( '{}'.format(msg))
    def perimeter(self):
        summa = 0.0;
        for i in range(len(self.pts)):
            if i == 0 :
                summa += abs(self.pts[i] - self.pts[len(self.pts) - 1])
            else :
                summa += abs(self.pts[i] - self.pts[i - 1])
        return summa;
    def square( self ):
        summa = 0.0;
        for i in range(len(self.pts) - 2):
            n1, p1 = cmath.polar(self.pts[i + 1] - self.pts[0])
            n2, p2 = cmath.polar(self.pts[i + 2] - self.pts[0])
            summa += n1 * n2 * abs(math.sin(p2 - p1)) / 2.
        return summa

while(True):
    print('координаты вершин в формате: X Y (Enter конец ввода)')
    parms = []
    while(True):
       z = inpoint('вершина №' + str(len(parms) + 1) + '? : ')
       if(z == None): 
          print('.................................')
          break;
       parms.append(z)
    figure = polygon(parms)
    figure.printt()
    print('периметр = {:.2f}'.format(figure.perimeter()))
    print('площадь = {:.2f}'.format(figure.square()))
    print('---------------------------------')
