#!/usr/bin/python3
import sys
from cmath import polar
from math import sin

def inpoint(prompt: str) -> complex:
   while(True):
      sys.stdout.write(prompt)
      sys.stdout.flush()
      try:
         s = sys.stdin.readline()
      except KeyboardInterrupt:  # ^C - завершение
         s = ''
         break
      if s == '':  
         break                   # ^D - завершение 
      if s == '\n':              # Enter - завершение
         break
      try:
         (x, y) = s.split()
         p = complex(float(x), float(y))
      except ValueError:
         print('ошибка ввода!')
         continue
      return p
   sys.stdout.write('\r')
   print('завершение работы')
   return None

print('координаты векторов в формате: X Y (^C,^D,Enter - завершение)')
while(True):
   z1 = inpoint('вектор №1: ')
   if(z1 == None ): break;
   z2 = inpoint('вектор №2: ')
   if(z2 == None ): break;
   n1, p1 = polar(z1)
   n2, p2 = polar(z2)
   print('площадь = {:.2f}'.format(n1 * n2 * abs(sin(p2 - p1))))   
   print( '---------------------------------' )

