#!/usr/bin/env python3

def encrypt(line, length):
   cols = length
   rows = len(line) // cols
   if len(line) % cols != 0:
      rows += 1
   matrix = []
   beg = 0;
   for r in range(rows):
      el = line[beg:beg + cols]
      if len(el) < cols:
         el += (cols - len(el)) * " "
      matrix.append(el)
      beg += cols
   result = ""
   for c in range(cols):
      for r in range(rows):
         result += matrix[r][c]
   return result

def decrypt(line, length):
   rows = length
   cols = len(line) // rows
   matrix = []
   beg = 0;
   for r in range(rows):
      el = line[beg:beg + cols]
      matrix.append(el)
      beg += cols
   result = ""
   for c in range(cols):
      for r in range(rows):
         result += matrix[r][c]
   return result.rstrip()

line = "I love you!"
print("исходное:       ", line)
result = encrypt(line, 5)
print("кодированное:   ", result)
print("декодированное: ", decrypt(result, 5))
print()

line = "Whirling, twirling round and round Falling softly to the ground."
print("исходное:       ", line)
result = encrypt(line, 8)
print("кодированное:   ", result)
print("декодированное: ", decrypt(result, 8))
print()
